3 Replies Latest reply on Jul 4, 2018 11:40 PM by Gyan Chand

    OTA Device Firmware Update Error for CYBLE-202007-01 and CY5677 BLE Dongle

    DiegoRíos

      I'm trying to make the OTA update from a CYBLE-202007-01 with a CY5677 BLE Dongle, but the Dongle doesn't recognize the CYBLE-202007-01 when it's advertising in Update mode.

       

      I've followed the instructions for the AN97060 - PSoC® 4 BLE and PRoC™ BLE – Over-the-Air (OTA) Device Firmware Upgrade (DFU) Guide for Upgradable Stack OTA Bootloader using the following Hardware and Software:

      • CYBLE-202007-01
      • CY5677 CYSMART BLE 4.2 USB Dongle (FW version: 1.2.2.32, HW version 2.0.0.0)
      • PSoC Creator 4.1
      • CySmart 1.3 (computer with Windows 10)

       

      I've managed to place the CYBLE-202007-01 in OTA mode for receiving a firmware update, and I'm able to successfully update the firmware but ONLY when using the CySmart App with smartphones (iOS and Android) with BLE 5.0 (not working with Android smartphones with 4.1 or 4.2 BLE).

      I would like to know if the OTA update of a CYBLE-202007-01 is possible with the CY5677? Is it a Hardware compatibility problem?

       

      I've followed the instructions from OTA update using CYBLE-202007-EVAL not working  but this hasn't solved the problem.

      I've successfully made OTA updates of an CYBLE-214009-00 with the CY5677 and the Computer CySmart 1.3 without a problem.

       

      Attached you can find the:

      BLE_OTA_Stack

      BLE_OTA_Launcher

      BLE_OTA_Keyboard